# Update fraud report Update a fraud report. # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - Disputes", "version": "1.0.0", "description": "Disputes API endpoints", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io/disputes", "description": "Sandbox API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Supporting forms", "description": "Endpoints to handle supporting forms for specific dispute types" } ], "components": { "parameters": { "fraudReportId": { "name": "fraudReportId", "description": "Dispute fraud report ID", "in": "path", "required": true, "schema": { "type": "number" } } }, "schemas": { "DisputeID": { "type": "number", "description": "Dispute ID", "example": 1876567 }, "DisputeFraudReportDocumentStructure": { "type": "object", "required": [ "acct_status", "chgbk_indicator", "cvc_invalid_indicator", "device_type", "fraud_type", "report_date", "sub_type" ], "properties": { "acct_status": { "type": "string", "description": "Account status", "example": "ACCT_IS_OPEN", "enum": [ "ACCT_IS_OPEN", "ACCT_HAS_BEEN_CLOSED" ] }, "chgbk_indicator": { "type": "string", "description": "Indicates if this is a chargeback. true = `1`, false = `0`", "example": "1", "enum": [ "0", "1" ] }, "cvc_invalid_indicator": { "type": "string", "description": "Mastercard CVC invalid code indicator\n", "example": "Y", "enum": [ "Y", "*", "M", "N", "P", "U", "?", "E" ] }, "device_type": { "type": "string", "description": "Mastercard account device type.\n", "example": "1", "enum": [ "1", "2", "3", "4", "A", "B", "C", "D", "E", "F", "G", "H", "I", "J" ] }, "fraud_type": { "type": "string", "description": "Mastercard fraud type codes\n", "enum": [ "00", "01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "51", "55", "56", "57" ], "example": "00" }, "report_date": { "type": "string", "description": "Fraud report date, format = yyyy-mm-dd.", "example": "2021-02-11" }, "sub_type": { "type": "string", "description": "Mastercard fraud sub type codes\n", "example": "K", "enum": [ "K", "N", "P", "U" ] }, "authorization_origin_indicator": { "type": "string", "description": "Authorization origin indicator, default is null. **REQUIRED** for ELO network.
\n `Y` - Issuer authorized
\n `X` - Parameter authorized
\n `N` - Not Authorized
\n", "enum": [ "Y", "X", "N" ], "nullable": true, "minLength": 1, "maxLength": 1, "example": "Y" }, "notification_code": { "type": "string", "description": "Notification type code. Default is null. **REQUIRED** for ELO network.
\n `1` - First notification
\n `2` - Notification sent again
\n `3` - Change
\n `4` - Deletion (cancellation fraud warning)
\n `5` = Reactivation
\n", "enum": [ "1", "2", "3", "4", "5" ], "nullable": true, "minLength": 1, "maxLength": 1, "example": "1" }, "exchange_indicator": { "type": "string", "description": "Is this an exchange? Default is `N`. **REQUIRED** for ELO network.
\n `Y` - Yes
\n `N` - No
\n", "enum": [ "N", "Y" ], "minLength": 1, "maxLength": 1, "example": "N" }, "exchange_value": { "type": "number", "description": "Exchange value. **REQUIRED** for ELO network.", "example": 9.99 }, "card_service_code": { "type": "string", "description": "Card type. **REQUIRED** for ELO network.
\n `C` - Chip
\n `M` - Stripe
\n", "enum": [ "C", "M" ], "minLength": 1, "maxLength": 1, "example": "C" } }, "x-examples": { "example-1": { "acct_status": "ACCT_IS_OPEN", "chgbk_indicator": "0", "cvc_invalid_indicator": "Y", "device_type": "1", "fraud_type": "00", "report_date": "2021-02-11", "sub_type": "K" } } }, "DisputeFraudReportUpdate": { "type": "object", "description": "Request used to update a dispute fraud report with success.", "required": [ "report" ], "properties": { "report": { "$ref": "#/components/schemas/DisputeFraudReportDocumentStructure" } }, "x-examples": { "Example with allowed values": { "report": { "acct_status": "ACCT_IS_OPEN", "chgbk_indicator": "1", "cvc_invalid_indicator": "Y", "device_type": "1", "fraud_type": "00", "report_date": "2021-02-11", "sub_type": "K" } } } }, "DisputeFraudReportResponse": { "description": "Dispute fraud report resonse", "type": "object", "properties": { "fraud_report_id": { "type": "number", "example": 1, "description": "Dispute fraud report ID." }, "dispute_id": { "$ref": "#/components/schemas/DisputeID" }, "dispute_installment_id": { "type": "number", "example": 1, "description": "Dispute installment related to dispute fraud report." } } } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account access token. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } }, "responses": { "401Unauthorized": { "description": "Unauthorized. Invalid or missing access token." }, "404NotFound": { "description": "Not found" }, "422UnprocessableEntity": { "description": "Unprocessable entity" }, "500InternalServerError": { "description": "Internal server error" } } }, "paths": { "/v1/disputes/{fraudReportId}/fraud-report": { "put": { "summary": "Update fraud report", "description": "Update a fraud report.", "operationId": "put-v1-disputes-fraud-report", "tags": [ "Supporting forms" ], "parameters": [ { "$ref": "#/components/parameters/fraudReportId" } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/DisputeFraudReportUpdate" }, "examples": { "Update a Dispute Fraud Report with success": { "value": { "report": { "acct_status": "ACCT_IS_OPEN", "chgbk_indicator": "1", "cvc_invalid_indicator": "Y", "device_type": "1", "fraud_type": "01", "report_date": "2021-02-11", "sub_type": "K" } } } } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/DisputeFraudReportResponse" }, "examples": { "Updated with success": { "value": { "fraud_report_id": 1, "dispute_id": 1, "dispute_installment_id": 1 } } } } } }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "404": { "$ref": "#/components/responses/404NotFound" }, "422": { "$ref": "#/components/responses/422UnprocessableEntity" }, "500": { "$ref": "#/components/responses/500InternalServerError" } } } } } } ```